Init / Shutdown

Init / shutdown functions. More...

## Functions

Elm_Code * | elm_code_create (void)
| Create a new Elm Code instance.
void | elm_code_free (Elm_Code *code)
| Free an Elm Code instance.

## Detailed Description

Init / shutdown functions.

Functions of obligatory usage, handling proper initialization and shutdown routines.

Before the usage of any other function, Elm Code should be properly initialized with elm_code_init() and the last call to Elm Code's functions should be elm_code_shutdown(), so everything will be correctly freed.

Elm Code logs everything with Eina Log, using the "elm_code" log domain.

## Function Documentation

## elm_code_create()

Elm_Code * elm_code_create | ( | void |  | ) |

Create a new Elm Code instance.

This method creates a new Elm Code instance using an in-memory file for backing changes. A regular file can be set after creation if required. Once an Elm Code has been created you can create widgets that render the content.

Returns
  an allocated Elm_Code that references the given file

See also
  elm_code_file_open()

References EINA_TRUE.

## elm_code_free()

void elm_code_free | ( | Elm_Code * | code | ) |

Free an Elm Code instance.

Releases the resources retained by the code instance and any files it references.

References EINA_LIST_FREE, evas_object_del(), and evas_object_hide().